Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006497TestLinkReports - Test report matrixpublic2014-08-13 09:052014-10-13 08:47
Reportermokalstudio 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOScentosOS Version6.5 X86-64
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006497: memory exhausted when use test report matrix
Descriptionwhen is use test result matrix report function, nothin shows on page. and if click excel export, memory exhausted.

Fatal error:allowed memory size of 67108864 bytes exhausted(tried to allowcate 1991 bytes) in .../resultTC.php on line 588

my testlink 1.9.11 is upgrade from 1.9.9. some suggestion to solution this problem?

thx anyways~
Steps To Reproduce1. add project\plan\build
2. add cases and assign to added plan
3. execution cases.
4. click report->test result metrix
Additional Informationi have set memory limit in php.ini, if i change to 512M, the error info is "allowed memory size of 536xxxxxx bytes exhausted(tried to allowcate 1991 bytes)"
TagsNo tags attached.
Database (MySQL,Postgres,etc)5.1.71
Browserfirefox
PHP Version5.5.15
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon screen.jpg [^] (146,319 bytes) 2014-08-13 09:05

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021447)
mokalstudio (reporter)
2014-08-13 09:19

when install 1.9.11 in another PC, click test result metrix, right page can display table data. but if click excel export button, memory exhausted. "allowed memory size of 134 217 728 bytes exhausted(tried to allowcate 3000 bytes)"
(0021449)
mokalstudio (reporter)
2014-08-13 09:22

iam ready to provide my database or running debug code if this needed.
(0021451)
fman (administrator)
2014-08-13 09:33

1. before providing DB please truncate event and transaction table
2. I can work only on MySQL or Postgres ( I suppose you are using MySQL guessing from 5.1.x)

3. send dump zipped to francisco.mancardi@gmail.com
(0021452)
iaon (reporter)
2014-08-13 16:12

I've catched this bug. Typo in index name causes infinite loop and consumes all memory.

There is a patch for this

diff --git a/lib/results/resultsTC.php b/lib/results/resultsTC.php
index 9e39450..c3ce84a 100644
--- a/lib/results/resultsTC.php
+++ b/lib/results/resultsTC.php
@@ -581,7 +581,7 @@ function createSpreadsheet($gui,$args,$buildIDSet)
   $cellRangeLen = count($cellRange);
   for($idx = 0; $idx < $cellRangeLen; $idx++)
   {
- for($j = 0; $j < $cellRangeLen; $jdx++)
+ for($jdx = 0; $jdx < $cellRangeLen; $jdx++)
     {
       $cellRange[] = $cellRange[$idx] . $cellRange[$jdx];
     }
(0021453)
fman (administrator)
2014-08-13 17:37

Great!
Thanks a lot
(0021458)
mokalstudio (reporter)
2014-08-14 01:32
edited on: 2014-08-14 05:45

it works!
thanks iaon~

export excel works but click "test result metrix", nothing showe on the right page under "test plan:xxxx" as my attached file displayed

(0021460)
mokalstudio (reporter)
2014-08-14 01:42

wow~

export excel file works but the excel file have no data.
only sheet title

i guess somthing wrong in my config file or other where ?
(0021463)
fman (administrator)
2014-08-14 06:55

Do not vampire issue, now problem is different => new issue has to be open but a detailed steps to reproduce are needed
Give a look to forum to understand amount of info needed

If a solution failed to solve an issue you have to reopen it.

- Issue History
Date Modified Username Field Change
2014-08-13 09:05 mokalstudio New Issue
2014-08-13 09:05 mokalstudio File Added: screen.jpg
2014-08-13 09:19 mokalstudio Note Added: 0021447
2014-08-13 09:22 mokalstudio Note Added: 0021449
2014-08-13 09:33 fman Note Added: 0021451
2014-08-13 14:40 fman Assigned To => fman
2014-08-13 14:40 fman Status new => feedback
2014-08-13 16:12 iaon Note Added: 0021452
2014-08-13 17:37 fman Note Added: 0021453
2014-08-13 17:38 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-08-13 17:38 fman Status feedback => resolved
2014-08-13 17:38 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-13 17:38 fman Resolution open => fixed
2014-08-13 17:41 fman Relationship added child of 0006457
2014-08-14 01:32 mokalstudio Note Added: 0021458
2014-08-14 01:42 mokalstudio Note Added: 0021460
2014-08-14 05:45 mokalstudio Note Edited: 0021458 View Revisions
2014-08-14 05:45 mokalstudio Note View State: 0021458: private
2014-08-14 05:45 mokalstudio Note View State: 0021458: public
2014-08-14 06:55 fman Note Added: 0021463
2014-08-14 06:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker